# KmlFeatureData

#### new Cesium.KmlFeatureData()
DataSources/KmlDataSource.js 3018

Contains KML Feature data loaded into the `Entity.kml` property by `KmlDataSource`.

### Members

#### address : String
DataSources/KmlDataSource.js 3109

Gets the unstructured address field.

#### author : Object
DataSources/KmlDataSource.js 3023

Gets the atom syndication format author field.

#### extendedData : String
DataSources/KmlDataSource.js 3126

Gets the extended data, parsed into a JSON object. Currently only the `Data` property is supported. `SchemaData` and custom data are ignored.

#### link : Object
DataSources/KmlDataSource.js 3054

Gets the link.

#### phoneNumber : String
DataSources/KmlDataSource.js 3114

Gets the phone number.

#### snippet : String
DataSources/KmlDataSource.js 3119

Gets the snippet.